Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 315805 - Review Prefix changes to app-office/openoffice-bin-3.2.0
Summary: Review Prefix changes to app-office/openoffice-bin-3.2.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: prefix-gx86
  Show dependency tree
 
Reported: 2010-04-17 23:01 UTC by Jonathan Callen (RETIRED)
Modified: 2011-02-05 11:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Callen (RETIRED) gentoo-dev 2010-04-17 23:01:03 UTC
Please review and comment on the following changes to openoffice-bin-3.2.0.ebuild, files/50-openoffice-bin, and files/wrapper.in. If you prefer, these can be committed as -r1.

--- openoffice-bin-3.2.0.ebuild
+++ openoffice-bin-3.2.0.ebuild
@@ -2,9 +2,9 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/app-office/openoffice-bin/openoffice-bin-3.2.0.ebuild,v 1.6 2010/03/08 18:14:42 rich0 Exp $
 
-EAPI="2"
+EAPI="3"
 
-inherit eutils fdo-mime rpm multilib
+inherit eutils fdo-mime rpm multilib prefix
 
 IUSE="gnome java kde"
 
@@ -47,11 +47,11 @@ HOMEPAGE="http://www.openoffice.org/"
 
 LICENSE="LGPL-2"
 SLOT="0"
-KEYWORDS="amd64 x86"
+KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
 
 RDEPEND="!app-office/openoffice
 	x11-libs/libXaw
-	sys-libs/glibc
+	!prefix? ( sys-libs/glibc )
 	>=dev-lang/perl-5.0
 	app-arch/zip
 	app-arch/unzip
@@ -77,6 +77,8 @@ QA_TEXTRELS="usr/$(get_libdir)/openoffic
 src_unpack() {
 
 	unpack ${A}
+	cp "${FILESDIR}"/{50-openoffice-bin,wrapper.in}-r1 "${T}"
+	eprefixify "${T}"/{50-openoffice-bin,wrapper.in}-r1
 
 	cd "${S}"
 
@@ -131,11 +133,11 @@ src_install () {
 
 	einfo "Installing OpenOffice.org into build root..."
 	dodir ${INSTDIR}
-	mv "${WORKDIR}"/opt/openoffice.org/* "${D}${INSTDIR}" || die
-	mv "${WORKDIR}"/opt/openoffice.org3/* "${D}${INSTDIR}" || die
+	mv "${WORKDIR}"/opt/openoffice.org/* "${ED}${INSTDIR}" || die
+	mv "${WORKDIR}"/opt/openoffice.org3/* "${ED}${INSTDIR}" || die
 
 	#Menu entries, icons and mime-types
-	cd "${D}${INSTDIR}/share/xdg/"
+	cd "${ED}${INSTDIR}/share/xdg/"
 
 	for desk in base calc draw impress math printeradmin qstart writer; do
 		mv ${desk}.desktop openoffice.org-${desk}.desktop
@@ -149,11 +151,11 @@ src_install () {
 	done
 
 	# Make sure the permissions are right
-	fowners -R root:0 /
+	use prefix || fowners -R root:0 /
 
 	# Install wrapper script
-	newbin "${FILESDIR}/wrapper.in" ooffice
-	sed -i -e s/LIBDIR/$(get_libdir)/g "${D}/usr/bin/ooffice" || die
+	newbin "${T}/wrapper.in-r1" ooffice
+	sed -i -e s/LIBDIR/$(get_libdir)/g "${ED}/usr/bin/ooffice" || die
 
 	# Component symlinks
 	for app in base calc draw impress math writer; do
@@ -163,17 +165,17 @@ src_install () {
 	dosym ${INSTDIR}/program/spadmin /usr/bin/ooffice-printeradmin
 	dosym ${INSTDIR}/program/soffice /usr/bin/soffice
 
-	rm -f "${D}${INSTDIR}/basis-link" || die
+	rm -f "${ED}${INSTDIR}/basis-link" || die
 	dosym ${INSTDIR}/basis3.2 ${INSTDIR}/basis-link
 
 	# Change user install dir
-	sed -i -e "s/.openoffice.org\/3/.ooo3/g" "${D}${INSTDIR}/program/bootstraprc" || die
+	sed -i -e "s/.openoffice.org\/3/.ooo3/g" "${ED}${INSTDIR}/program/bootstraprc" || die
 
 	# Non-java weirdness see bug #99366
-	use !java && rm -f "${D}${INSTDIR}/ure/bin/javaldx"
+	use !java && rm -f "${ED}${INSTDIR}/ure/bin/javaldx"
 
 	# prevent revdep-rebuild from attempting to rebuild all the time
-	insinto /etc/revdep-rebuild && doins "${FILESDIR}/50-openoffice-bin"
+	insinto /etc/revdep-rebuild && newins "${T}/50-openoffice-bin-r1" 50-${PN}
 
 }
 
@@ -182,15 +184,16 @@ pkg_postinst() {
 	fdo-mime_desktop_database_update
 	fdo-mime_mime_database_update
 
-	[[ -x /sbin/chpax ]] && [[ -e /usr/$(get_libdir)/openoffice/program/soffice.bin ]] && chpax -zm /usr/$(get_libdir)/openoffice/program/soffice.bin
+	[[ -x ${EPREFIX}/sbin/chpax && -e ${EROOT}usr/$(get_libdir)/openoffice/program/soffice.bin ]] && \
+		chpax -zm "${EROOT}"usr/$(get_libdir)/openoffice/program/soffice.bin
 
 	elog " openoffice-bin does not provide integration with system spell "
 	elog " dictionaries. Please install them manually through the Extensions "
 	elog " Manager (Tools > Extensions Manager) or use the source based "
 	elog " package instead. "
 	elog
-	elog " Dictionaries for english, french and spanish are provided in "
-	elog " /usr/$(get_libdir)/openoffice/share/extension/install "
+	elog " Dictionaries for English, French, and Spanish are provided in "
+	elog " ${EPREFIX}/usr/$(get_libdir)/openoffice/share/extension/install "
 	elog " Other dictionaries can be found at Suns extension site. "
 	elog
 

--- files/50-openoffice-bin
+++ files/50-openoffice-bin-r1
@@ -1 +1 @@
-SEARCH_DIRS_MASK="/usr/lib/openoffice /usr/lib32/openoffice /usr/lib64/openoffice"
+SEARCH_DIRS_MASK="@GENTOO_PORTAGE_EPREFIX@/usr/lib/openoffice @GENTOO_PORTAGE_EPREFIX@/usr/lib32/openoffice @GENTOO_PORTAGE_EPREFIX@/usr/lib64/openoffice"

--- files/wrapper.in
+++ files/wrapper.in-r1
@@ -1,4 +1,4 @@
 #!/bin/sh
 export OOO_EXTRA_ARG=''
 unset PYTHONPATH
-/usr/LIBDIR/openoffice/program/soffice  "$@"
+"@GENTOO_PORTAGE_EPREFIX@/usr/LIBDIR/openoffice/program/soffice" "$@"
Comment 1 Andreas Proschofsky (RETIRED) gentoo-dev 2011-02-05 11:27:03 UTC
Those are in portage now, sorry for taking so long...